html, body {
    min-height: 100%;
    width: 100vw;
    max-width: 100vw;
    overflow-x: hidden;
}

*:focus {
    outline: none;
}

body {
    font-family: 'Montserrat', sans-serif;
    font-weight: 400;
    font-size: 20px;
    line-height: 1.5;
    background-image: linear-gradient(0deg, rgba(255,255,255,0.00) 0%, #FBF7F6 30%, #eae4e2 100%);
    background-color: #FBF7F6;
    margin: 0;
}

#robot {
    width: 88vw;
    position: absolute;
    top: -11vw;
    height: 88vw;
    left: 5vw;
    mix-blend-mode: darken;
}

header a {
    text-decoration: none;
}

#presents-desktop {
    display: none;
}

#presents-mobile {
    font-size: 6.4vw;
    text-align: center;
    position: absolute;
    left: 0;
    width: 100vw;
    top: 77vw;
}

h1 {
    font-size: 9.2vw;
    text-align: center;
    position: absolute;
    top: 85vw;
    margin: 0;
    width: 100vw;
    left: 0;
}

h3 {
    font-weight: 400;
    text-align: center;
    position: absolute;
    margin: 0;
    top: 99vw;
    width: 100vw;
    left: 0;
    font-size: 5.3vw;
}

h2 {
    font-family: Montserrat, sans-serif;
    font-weight: 600;
    font-size: 25px;
    margin: 60px 0 10px 0;
    opacity: 0.7;
}

a {
    color: black;
    text-decoration-line: underline;
    text-decoration-thickness: 3px;
    text-decoration-color: #00478F;
    background-color: transparent;
}

.container {
    padding: 5vw;
    padding-top: 110vw;
}

form {
    font-size: 25px;
    position: relative;
}

#form-controls {
    margin: 15px 0;
    padding: 15px;
    border: none;
    box-shadow: 0 5px 0 #b0968e;
    border-radius: 5px;
    background: white;
}

select, #select-template {
    border: 0;
    font-family: 'Montserrat', sans-serif;
    font-weight: 600;
    font-size: 25px;
}

select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    text-decoration-line: underline;
    text-decoration-thickness: 3px;
    text-decoration-color: #00478F;
    background-color: transparent;
    color: black;
    padding: 0;
}

#select-template {
    position: absolute;
    pointer-events: none;
    opacity: 0;
    white-space: nowrap;
}

textarea {
    border: 0;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    text-decoration-line: underline;
    text-decoration-thickness: 3px;
    text-decoration-color: #00478F;
    font-family: 'Montserrat', sans-serif;
    font-weight: 600;
    font-size: 25px;
    width: 100%;
    background-color: transparent;
    resize: none;
    padding: 0;
}

textarea::placeholder {
    color: black;
    opacity: 0.3;
}

button[type=submit] {
    -webkit-tap-highlight-color: transparent;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border: 0;
    color: white;
    background: #0271E3;
    display: block;
    border-radius: 5px;
    line-height: 50px;
    box-shadow: 0 0.4rem 0 #00478f;
    text-decoration: none;
    text-transform: uppercase;
    text-align: center;
    font-weight: 600;
    font-size: 20px;
    margin: 30px 0;
    z-index: 10;
    position: relative;
    width: 100%;
}

button[type=submit]:active {
    transform: translateY(0.4rem);
    box-shadow: none;
}

.prompt {
    margin: 15px 0;
    padding: 15px;
    border: none;
    box-shadow: 0 5px 0 #b0968e;
    border-radius: 5px;
    background: white;
}

.prompt strong {
    font-weight: 600;
}

.suggestion {
    margin: 15px 0;
    padding: 15px;
    border: none;
    box-shadow: 0 5px 0 #00478f;
    border-radius: 5px;
    background: white;
}

.suggestion p:first-child {
    margin-top: 0
}

.suggestion p:last-child {
    margin-bottom: 0
}

#last-ideas {
    padding: 0;
    list-style: none;
}

#last-ideas li {
    margin-bottom: 10px;
}

#about {
    font-size: 18px;
    text-align: justify;
}

#about img {
    border-radius: 5px;
    box-shadow: 0 5px 0 #00478f;
    width: 100%;
    height: auto;
}

footer {
    margin: 30vh 0 10vh 0;
    text-align: center;
}

footer a {
    color: #b0968e;
    text-decoration: none;
    font-size: 16px;
}

.review {
    padding-top: 10px;
    border-top: 2px solid #b0968e;
    font-size: 16px;
}

.reviewer {
    display: flex;
    align-items: center;
    margin-bottom: 5px;
}

.reviewer img {
    flex-grow: 0;
    flex-shrink: 0;
    width: 30px;
    height: 30px;
    display: block;
    border-radius: 15px;
    overflow: hidden;
    margin-right: 10px;
}

.reviewer span {
    display: block;
    flex-grow: 1;
}

.hidden-while-typing {
    display: none;
}

#loading-indicator {
    display: none;
    text-align: center;
}

#loading-indicator.loading {
    display: block;
}

#loading-indicator img {
    width: 50vw;
    height: 50vw;
}

form.loading button[type=submit] {
    pointer-events: none;
    opacity: 0.5;
}

.tats-promo {
    display: none;
    margin: 40px 0;
    text-decoration: none;
}

.tats-promo img {
    width: 100%;
    height: auto;
}

.tats-mobile {
    display: block;
}

.tats-desktop {
    display: none;
}

@media (min-width: 768px) {
    .container {
        box-sizing: border-box;
        width: 700px;
        margin: 0 auto;
        padding: 10px;
        padding-top: 50vw;
    }

    #presents-mobile {
        display: none;
    }

    #presents-desktop {
        display: block;
    }

    #robot {
        width: 45vw;
        top: 0vw;
        height: 45vw;
        right: 3vw;
        left: initial;
    }

    h1 {
        text-align: left;
        left: calc(50vw - 345px);
        font-size: 6vw;
        top: 34vw;
        width: initial;
    }

    h3 {
        left: calc(50vw - 345px);
        top: 41vw;
        font-size: 3.5vw;
        text-align: left;
        width: initial;
    }

    #presents-desktop {
        position: absolute;
        top: 5vw;
        left: calc(50vw - 345px);
        display: flex;
        flex-direction: column;
    }

    #presents-desktop img {
        width: 9vw;
        height: 18vw;
    }

    #presents-desktop span {
        display: block;
        font-size: 2vw;
        width: 9vw;
        text-align: center;
        margin-top: 1vw;
    }

    #loading-indicator img {
        width: 35vw;
        height: 35vw;
    }

    .tats-mobile {
        display: none;
    }

    .tats-desktop {
        display: block;
    }
}

@media (min-width: 1100px) {
    #robot {
        right: initial;
        left: calc(50vw + 130px);
        width: 493px;
        height: 493px;
        top: -15px;
        z-index: 1;
        pointer-events: none;
    }

    .container {
        padding-top: 360px;
    }

    #presents-desktop img {
        width: 65px;
        height: 130px;
    }

    #presents-desktop span {
        width: 65px;
        font-size: 14px;
        margin-top: 5px;
    }

    #presents-desktop {
        top: 80px;
    }

    h1 {
        top: 235px;
        font-size: 50px;
    }

    h3 {
        top: 296px;
        font-size: 25px;
    }

    #loading-indicator img {
        width: 300px;
        height: 300px;
    }
}
